<!DOCTYPE html>
<html lang="en" xmlns:th="http://thymeleaf.org">
<head>
    <title>BelajarBelajar</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.1/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-F3w7mX95PdgyTmZZMECAngseQB83DfGTowi0iMjiWaeVhAn4FJkqJByhZMI3AhiU" crossorigin="anonymous"></head>
    <object th:include="fragments/fragment :: css" th:remove="tag"></object>
    <object th:include="fragments/fragment :: js" th:remove="tag"></object>
<body>
<nav th:replace="fragments/fragment :: navbar (${false}, ${true}, ${false})"></nav>
<div class="container">
    <h2>List Course</h2>
    <a class="btn btn-primary" href="/">Home</a>
    <a th:href="@{/course/add}" class="mx-2 btn btn-outline-primary">Tambah course</a>
    <table class="table">
        <thead>
            <tr>
                <th>nomor</th>
                <th>id</th>
                <th>username</th>
                <th>isSso</th>
                <th>nama</th>
                <th>email</th>
                <th>role</th>
            </tr>
        </thead>
    <tbody>
        <tr th:each="user, iterationStatus : ${listUser}"
            th:style="${iterationStatus.even} ? 'font-weight:bold;'">
            <td th:text="${iterationStatus.count}"></td>
            <td th:text="${user.id}"></td>
            <td th:text="${user.username}"></td>
            <td th:text="${user.isSso}"></td>
            <td th:text="${user.nama}"></td>
            <td th:text="${user.email}"></td>
            <td th:text="${user.role.role}"></td>
    
            <td>
                <a class="btn btn-danger" th:href="'/user/viewAll/' + ${user.username} + '/deleteuser'">Delete</a>
            </td>
        </tr>
    </tbody>
    </table>
</div>

</body>
</html>

